jQuery(function( $ ) {

	$('.xorgcore-switch-atc-modal-mandatory.xorgcore-toggle-atc-modal-mandatory').click(function(){

		var $switch_mandatory, state_mandatory, new_state_mandatory;

		$switch_mandatory = $(this);

		if ( $switch_mandatory.is('.xorgcore-loading') ){
			return;
		}

		state_mandatory = $switch_mandatory.attr( 'xorgcore-atc-switch-modal-mandatory' );

		new_state_mandatory = state_mandatory === 'on' ? 'off' : 'on';
		$switch_mandatory.addClass('xorgcore-loading');
		$switch_mandatory.attr( 'xorgcore-atc-switch-modal-mandatory', new_state_mandatory );

		if ( 'off' == new_state_mandatory ){
			$(".xorgcore_non_mandatory_modal_section_fields_div :input").attr("disabled", false);
		}else if ( 'on' == new_state_mandatory ){
			$(".xorgcore_non_mandatory_modal_section_fields_div :input").attr("disabled", true);
		}

		$.post( ajaxurl, {
			action    : 'xorgcore_toggle_atc_mandatory_status',
			new_state : new_state_mandatory
		}, function( xorgcore_atc_enable_response ) {
			$switch_mandatory.removeClass('xorgcore-loading');
		});
	});

	$('.xorgcore-auto-apply-coupons-atc.xorgcore-toggle-auto-apply-coupons-status').click(function(){

		var $switch_auto_coupon, state_auto, new_state_auto;

		$switch_auto_coupon = $(this);

		if ( $switch_auto_coupon.is('.xorgcore-loading') ){
			return;
		}

		state_auto = $switch_auto_coupon.attr( 'xorgcore-atc-switch-coupon-enable' );

		new_state_auto = state_auto === 'on' ? 'off' : 'on';
		$switch_auto_coupon.addClass('xorgcore-loading');
		$switch_auto_coupon.attr( 'xorgcore-atc-switch-coupon-enable', new_state_auto );

		if ( 'off' == new_state_auto ){
			$(".xorgcore_coupon_settings_div_table").attr("disabled", false);
		}else if ( 'on' == new_state_auto ){
			$(".xorgcore_coupon_settings_div_table").attr("disabled", true);
		}

		$.post( ajaxurl, {
			action    : 'xorgcore_toggle_atc_auto_coupon_settings',
			new_state : new_state_auto,
			update_record_key : 'xorgcore_atc_auto_apply_coupon_enabled'
		}, function( xorgcore_atc_enable_response ) {
			$switch_auto_coupon.removeClass('xorgcore-loading');
		});
	});

	$('.xorgcore-countdown-timer-cart.xorgcore-toggle-countdown-timer-cart').click(function(){

		var $switch_auto_coupon, state_auto, new_state_auto;

		$switch_auto_coupon = $(this);

		if ( $switch_auto_coupon.is('.xorgcore-loading') ){
			return;
		}

		state_auto = $switch_auto_coupon.attr( 'xorgcore-atc-countdown-timer-cart-enable' );

		new_state_auto = state_auto === 'on' ? 'off' : 'on';
		$switch_auto_coupon.addClass('xorgcore-loading');
		$switch_auto_coupon.attr( 'xorgcore-atc-countdown-timer-cart-enable', new_state_auto );

		if ( 'off' == new_state_auto ){
			$(".xorgcore_coupon_settings_div_table").attr("disabled", false);
		}else if ( 'on' == new_state_auto ){
			$(".xorgcore_coupon_settings_div_table").attr("disabled", true);
		}

		$.post( ajaxurl, {
			action    : 'xorgcore_toggle_atc_auto_coupon_settings',
			new_state : new_state_auto,
			update_record_key : 'xorgcore_countdown_cart'
		}, function( xorgcore_atc_enable_response ) {
			$switch_auto_coupon.removeClass('xorgcore-loading');
		});
	});

	$('#xorgcore_atc_coupon_type').on( 'change', function() {
		var coupon_type = $('#xorgcore_atc_coupon_type').val();
		if ( 'unique' == coupon_type ) {
			$('.xorgcore_atc_pre_selected').hide();
			$('.xorgcore_atc_unique').show();
		} else if ( 'pre-selected' == coupon_type ) {
			$('.xorgcore_atc_unique').hide();
			$('.xorgcore_atc_pre_selected').show();
		}
	});

	$( document ).ready(function() {
		var coupon_type = $('#xorgcore_atc_coupon_type').val();
		if ( 'unique' == coupon_type ) {
			$('.xorgcore_atc_pre_selected').hide();
			$('.xorgcore_atc_unique').show();
		} else if ( 'pre-selected' == coupon_type ) {
			$('.xorgcore_atc_unique').hide();
			$('.xorgcore_atc_pre_selected').show();
		}
	});
});