jQuery( function( $ ) {
	$(document).ready(function() {
		var xorgcore_last_check_date = localStorage.getItem( "xorgcore_popup_displayed_next_time" );
		if ( null != xorgcore_last_check_date ){
			if ( (new Date()).getTime() > xorgcore_last_check_date ){
				localStorage.removeItem( "xorgcore_popup_displayed_next_time" );
				localStorage.removeItem( "xorgcore_popup_displayed" );
			}
		}
	});
	
	$( document.body ).on( 'wc_fragments_refreshed', function( response_data ) {
    		
		var xorgcore_response = response_data.target.innerHTML;
		
		if ( xorgcore_response.indexOf('button wc-forward') >= 0 || xorgcore_response.indexOf('wc-forward') >= 0 ){
			
			var xorgcore_is_popup_displayed = localStorage.getItem("xorgcore_popup_displayed");
			if ( ( typeof xorgcore_is_popup_displayed === undefined ) || ( xorgcore_is_popup_displayed != "yes" ) ){
				localStorage.setItem("xorgcore_popup_displayed", "yes");
				var xorgcore_next_date = new Date();
				xorgcore_next_date.setHours( xorgcore_next_date.getHours() + 24 );
				localStorage.setItem("xorgcore_popup_displayed_next_time", xorgcore_next_date.getTime() );
    	        var xorgcore_email_data = {
					xorgcore_atc_email       : localStorage.getItem("xorgcore_hidden_email_id"),
					xorgcore_atc_user_action : localStorage.getItem("xorgcore_atc_user_action"),
					action: 'xorgcore_atc_store_guest_email'
				}

				$.post( wc_cart_fragments_params.wc_ajax_url.toString().replace( '%%endpoint%%', 'xorgcore_atc_store_guest_email' ), xorgcore_email_data, function(response_dat , status, xhr ) {
					if ( status === 'success' && response_dat ) {
						localStorage.setItem( "xorgcore_abandoned_id", response_dat );
					}
		    	} );
			}
		}
    } );
});
