<?php


if ( ! defined( 'ABSPATH' ) ) exit;

if ( !class_exists('xorgcore_Email_Settings' ) ) {
    
    class xorgcore_Email_Settings{

        
        public static function xorgcore_display_email_setting( ) {
            
            ?>
            <p><?php _e( 'در این بخش می‌توانید تنظیمات کلی پلاگین را تغییر دهید. لطفا بخش‌ها را با دقت مطالعه فرمایید.', 'xcart-tr' ); ?></p>
            <div id="xorgcore_content">

            <?php
                $xorgcore_general_settings_class = $xorgcore_license = $xorgcore_fb_settings = $xorgcore_sms_settings = $xorgcore_add_to_cart = $section = "";
                
                $section = isset( $_GET[ 'xorgcore_section' ] ) ? $_GET[ 'xorgcore_section' ] : '';

                switch( $section ) {
                    
                    case 'xorgcore_general_settings':
                    case '':
                        $xorgcore_general_settings_class = "current";
                        break;
                    case 'xorgcore_cron_settings':
                        $xorgcore_cron_setting = "current";
                        break;
                    case 'xorgcore_block_settings':
                        $xorgcore_block_settings = "current";
                        break;
                    case 'xorgcore_atc_settings':
                        $xorgcore_add_to_cart = "current";
                        break;
                    case 'xorgcore_sms_settings':
                        $xorgcore_sms_settings = 'current';
                        break;
                }
                ?>
             
                <br class="clear">
                <?php
                if ( $section == 'xorgcore_general_settings' || $section == '' ) {
                ?>
                <style>tr{background: white; margin: 10px !important; padding: 10px !important; display: block; border-radius: 10px; box-shadow: 1px 2px 3px 1px #dbdbdb !important;}</style>
                    <form method="post" action="options.php">
                        <?php settings_fields     ( 'woocommerce_ac_settings' ); ?>
                        <?php do_settings_sections( 'xcart' ); ?>
                        <?php settings_errors(); ?>
                        <?php submit_button(); ?>
                    </form>
                    <?php
                }else if( $section == 'xorgcore_sms_settings' ) {
                    xorgcore_SMS_settings::xorgcore_sms_settings();
                }else if ( $section == 'xorgcore_atc_settings' ) {
                    
                    if ( isset( $_POST['atc_settings_frm'] ) && 'save' == $_POST['atc_settings_frm'] ) {
                        xorgcore_Add_Cart_Popup_Modal::xorgcore_add_to_cart_popup_save_settings( );
                        
                    }
                    wp_enqueue_script( 'xorgcore_atc_color_picker',   xorgcore_PLUGIN_URL . '/assets/js/admin/atc_color_picker.min.js' );

                    wp_localize_script( 'xorgcore_atc_color_picker', 'xorgcore_atc_color_picker_params', array(
                                        'xorgcore_atc_head'  => get_option('xorgcore_heading_section_text_email'),
                                        'xorgcore_atc_text'  => get_option('xorgcore_text_section_text'),
                                        'xorgcore_atc_email_place'  => get_option('xorgcore_email_placeholder_section_input_text'),
                                        'xorgcore_atc_button'  => get_option('xorgcore_button_section_input_text'),
                                        'xorgcore_atc_button_bg_color'  => get_option('xorgcore_button_color_picker'),
                                        'xorgcore_atc_button_text_color'=> get_option('xorgcore_button_text_color_picker'),
                                        'xorgcore_atc_popup_text_color' => get_option('xorgcore_popup_text_color_picker'),
                                        'xorgcore_atc_popup_heading_color' => get_option('xorgcore_popup_heading_color_picker'),
                                        'xorgcore_atc_non_mandatory_input_text' => get_option('xorgcore_non_mandatory_text'),
                    ) );
                    
                    wp_enqueue_script( 'xorgcore_atc_vue_field_data', xorgcore_PLUGIN_URL . '/assets/js/admin/atc_vue_field_data.min.js' );
                    wp_localize_script( 'xorgcore_atc_vue_field_data', 'xorgcore_vue_field_data_params', array(
                                        'xorgcore_atc_head'  => get_option('xorgcore_heading_section_text_email'),
                                        'xorgcore_atc_text'  => get_option('xorgcore_text_section_text'),
                                        'xorgcore_atc_email_place'  => get_option('xorgcore_email_placeholder_section_input_text'),
                                        'xorgcore_atc_button'  => get_option('xorgcore_button_section_input_text'),
                                        'xorgcore_atc_button_bg_color'  => get_option('xorgcore_button_color_picker'),
                                        'xorgcore_atc_button_text_color'=> get_option('xorgcore_button_text_color_picker'),
                                        'xorgcore_atc_popup_text_color' => get_option('xorgcore_popup_text_color_picker'),
                                        'xorgcore_atc_popup_heading_color' => get_option('xorgcore_popup_heading_color_picker'),
                                        'xorgcore_atc_non_mandatory_input_text' => get_option('xorgcore_non_mandatory_text'),
                    ) );

                    ?>
                    <form method="post" action="admin.php?page=xcart&action=emailsettings&xorgcore_section=xorgcore_atc_settings">
                        <input type="hidden" name="atc_settings_frm" value="save">
                        <?php xorgcore_Add_Cart_Popup_Modal::xorgcore_add_to_cart_popup_settings(); ?>
                    </form>
                    <?php
                }
                do_action( 'xorgcore_add_custom_settings_tab_content', $section );
                ?>
            </div>
        <?php
        }
    }
}