<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! class_exists( 'xorgcore_Atc_Dashboard' ) ) {
    
    
    class xorgcore_Atc_Dashboard {

        
        public static function xorgcore_display_atc_dashboard( $xorgcore_atc_data ) { 
            $xorgcore_total_atc_open                = ( isset( $xorgcore_atc_data[ 'xorgcore_atc_open' ] )  )  ? $xorgcore_atc_data[ 'xorgcore_atc_open' ] : 0  ;
            $xorgcore_total_atc_has_email           = ( isset ( $xorgcore_atc_data[ 'xorgcore_has_email' ] ) )  ? $xorgcore_atc_data[ 'xorgcore_has_email' ] : 0 ;
            $xorgcore_total_atc_not_has_email       = ( isset( $xorgcore_atc_data[ 'xorgcore_not_has_email' ] ) ) != '' ? $xorgcore_atc_data[ 'xorgcore_not_has_email' ] : 0;
            $xorgcore_ratio_email_captured_from_atc = 0;
            if ( $xorgcore_total_atc_open > 0 && $xorgcore_total_atc_has_email > 0 ) {
                $xorgcore_ratio_email_captured_from_atc = ( $xorgcore_total_atc_has_email / $xorgcore_total_atc_open ) * 100;
                $xorgcore_wc_decimal                    = get_option( 'woocommerce_price_num_decimals' );
                $xorgcore_ratio_email_captured_from_atc = round ( $xorgcore_ratio_email_captured_from_atc, $xorgcore_wc_decimal );
            }
            xorgcore_Atc_Dashboard::xorgcore_display_all_data( $xorgcore_total_atc_open, $xorgcore_total_atc_has_email, $xorgcore_ratio_email_captured_from_atc );
        }

        
        public static function xorgcore_display_all_data( $xorgcore_total_atc_open, $xorgcore_total_atc_has_email, $xorgcore_ratio_email_captured_from_atc ) {
            ?>
            <span class = "xorgcore_atc_heading"> <h1> Add To Cart Popup </h1></span>
            <br>
            <div class = "xorgcore_three_cell">
                <a href = "admin.php?page=xcart&action=emailsettings&xorgcore_section=xorgcore_atc_settings" class = "xorgcore_redirect_atc_setting button button-primary"> Edit Settings </a>
                <div class = "top">
                    <div class = "xorgcore_cell_box">
                        <span class = "xorgcore_num"><?php echo $xorgcore_total_atc_open; ?></span>
                        <span class = "xorgcore_label">Add to Carts</span>
                    </div>
                    <div class = "xorgcore_cell_box">
                        <span class = "xorgcore_num"><?php echo $xorgcore_total_atc_has_email; ?></span>
                        <span class = "xorgcore_label">Collected Emails</span>
                    </div>
                </div>
                <div class = "xorgcore_graphic"></div>
                <div class = "xorgcore_bottom">
                    <div class = "xorgcore_cell_box">
                        <span class = "xorgcore_num"><?php echo $xorgcore_ratio_email_captured_from_atc . '%' ?></span>
                        <span class = "xorgcore_label">Conversion Rate</span>
                    </div>
                </div>
            </div>
            <?php
        }
    }
}