<?php

class xorgcore_Process_Base {

    
	public function __construct() {

		$xorgcore_auto_cron = get_option( 'xorgcore_use_auto_cron' );
		if ( isset( $xorgcore_auto_cron ) && $xorgcore_auto_cron != false && '' != $xorgcore_auto_cron ) {
			
			add_action( 'woocommerce_ac_send_email_action', array( &$this, 'xorgcore_process_handler' ), 11 );
		}
	}

    
	public function xorgcore_process_handler() {

		
		$reminders_list = xorgcore_get_enabled_reminders();

		if ( is_array( $reminders_list ) && count( $reminders_list ) > 0 ) {
			foreach ( $reminders_list as $reminder_type ) {
				switch ( $reminder_type ) {
					case 'emails':
						xorgcore_Send_Email_Using_Cron::xorgcore_abandoned_cart_send_email_notification();
						break;
					case 'sms':
						xorgcore_Send_Email_Using_Cron::xorgcore_send_sms_notifications();
						break;
					case 'fb':
						xorgcore_FB_Recovery::xorgcore_fb_cron();
						break;
				}
			}
		}

	}

}
new xorgcore_Process_Base();

