jQuery( document ).ready( function() {
	
	if( jQuery( '#xorgcore_timer' ).length > 0 ) {
    	var countDownDate = new Date(xorgcore_atc_coupon_countdown_params._xorgcore_coupon_expires).getTime();

    	const server_offset = xorgcore_atc_coupon_countdown_params._xorgcore_server_offset * 1000;
	    
		var x = setInterval(function() {

			
			var now = new Date().getTime();
			var offset = (-1) * new Date().getTimezoneOffset() * 60000;
			var gmt = Math.round(new Date(now - offset).getTime() );

			var server_time = Math.round(new Date(gmt + server_offset).getTime() );
			
			
			var distance = countDownDate - server_time;
			
			//	  var days = Math.floor(distance / (1000 * 60 * 60 * 24));
			var hours = Math.floor(distance / (1000 * 60 * 60));
			var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
			var seconds = Math.floor((distance % (1000 * 60)) / 1000);

			var countdown_timer = '';
			if( hours > 0 ) {
				countdown_timer += hours + "h ";
			}

			if( minutes > 0 ) {
				countdown_timer += minutes + "m ";
			}

			if( seconds > 0 ) {
				countdown_timer += seconds + "s ";
			}
			
			document.getElementById("xorgcore_timer").innerHTML = countdown_timer;

			
			if (distance < 0) {
				clearInterval(x);
				document.getElementById("xorgcore_float").innerHTML = xorgcore_atc_coupon_countdown_params._xorgcore_expiry_msg;
			}
		}, 1000);

		jQuery( '#xorgcore_countdown_dismiss' ).on( 'click', function() {

			var data = {
				action: 'xorgcore_coupon_countdown_dismissed'
			};

			jQuery.post( xorgcore_atc_coupon_countdown_params.ajax_url, data, function( response ) {
				jQuery( '#xorgcore_primary' ).hide();
			});
		});
	}
});