jQuery( function( $ ) {
	$(document).ready(function() {

		
		var xorgcore_last_check_date = localStorage.getItem( "xorgcore_popup_displayed_next_time" );
		if ( null != xorgcore_last_check_date ) {
			if ( (new Date()).getTime() > xorgcore_last_check_date ) {
				localStorage.removeItem( "xorgcore_popup_displayed_next_time" );
				localStorage.removeItem( "xorgcore_popup_displayed" );
			}
		}
	});

	var xorgcore_product_id 	   = "";
	var xorgcore_form_variation_id = "";	
	var xorgcore_variation_href    = "";
	var xorgcore_atc_modal_data = {
        xorgcore_heading_section_text_email: xorgcore_atc_modal_param.xorgcore_atc_head,
        xorgcore_text_section_text_field:    xorgcore_atc_modal_param.xorgcore_atc_text,
        xorgcore_email_placeholder_section_input_text: xorgcore_atc_modal_param.xorgcore_atc_email_place,
        xorgcore_button_section_input_text : xorgcore_atc_modal_param.xorgcore_atc_button,
        xorgcore_button_bg_color : xorgcore_atc_modal_param.xorgcore_atc_button_bg_color,
        xorgcore_button_text_color : xorgcore_atc_modal_param.xorgcore_atc_button_text_color,
        xorgcore_popup_text_color : xorgcore_atc_modal_param.xorgcore_atc_popup_text_color,
        xorgcore_popup_heading_color : xorgcore_atc_modal_param.xorgcore_atc_popup_heading_color,
        xorgcore_non_mandatory_modal_input_text : xorgcore_atc_modal_param.xorgcore_atc_non_mandatory_input_text,
        xorgcore_atc_button: {
            backgroundColor: xorgcore_atc_modal_param.xorgcore_atc_button_bg_color,
            color          : xorgcore_atc_modal_param.xorgcore_atc_button_text_color  
        },
        xorgcore_atc_popup_text:{
            color          : xorgcore_atc_modal_param.xorgcore_atc_popup_text_color,  
        },
        xorgcore_atc_popup_heading:{
            color          : xorgcore_atc_modal_param.xorgcore_atc_popup_heading_color,   
        }
    };

    $( document.body ).on( 'wc_fragments_refreshed', function( response_dat ) {
    		
		
		var xorgcore_is_popup_displayed = localStorage.getItem("xorgcore_popup_displayed");
		var xorgcore_is_popup_time = localStorage.getItem("xorgcore_popup_displayed_next_time");
		
		if ( ( xorgcore_is_popup_time !== null && xorgcore_is_popup_displayed != "yes" )  ) {
			localStorage.setItem("xorgcore_popup_displayed", "yes");
			

	        var xorgcore_email_data = {
				xorgcore_atc_email       : localStorage.getItem("xorgcore_hidden_email_id"),
				xorgcore_atc_user_action : localStorage.getItem("xorgcore_atc_user_action"),
				action: 'xorgcore_atc_store_guest_email'
			}
			$.post( wc_cart_fragments_params.wc_ajax_url.toString().replace( '%%endpoint%%', 'xorgcore_atc_store_guest_email' ), xorgcore_email_data, function(response_dat , status, xhr ) {
				
	    	} );
		}
    } );

	
	var xorgcore_single_simple_atc = function() {
		$( document )
			.on( 'click', '.middle', this.xorgcore_on_single_add_to_cart )
			.on( 'click', '.xorgcore_popup_button', this.xorgcore_add_to_cart_from_shop )
			.on( 'click', '.xorgcore_popup_non_mandatory_button', this.xorgcore_add_product_to_cart )
			.on( 'click', '.xorgcore_popup_close', this.xorgcore_add_product_to_cart );

	};

	
	xorgcore_single_simple_atc.prototype.xorgcore_on_single_add_to_cart = function( e ) {
		
		var xorgcore_is_popup_displayed = localStorage.getItem("xorgcore_popup_displayed");
		if ( ( typeof xorgcore_is_popup_displayed === undefined ||  xorgcore_is_popup_displayed != "yes" ) && "" == xorgcore_atc_modal_param.xorgcore_populate_email ){
			e.preventDefault();
			
			xorgcore_variation_href = $(this).find("a").attr("href");

			xorgcore_open_atc_modal();
		}
		if ( "" != xorgcore_atc_modal_param.xorgcore_populate_email ) {
			localStorage.setItem( "xorgcore_hidden_email_id", xorgcore_atc_modal_param.xorgcore_populate_email );
			localStorage.setItem( "xorgcore_atc_user_action", "yes" );
		}
	};

	function  xorgcore_open_atc_modal (){

		$(document.body).addClass('xorgcore-atc-modal-open').append('<div class="xorgcore-modal-overlay"></div>');
        $(document.body).append('<div class="xorgcore-modal"><div class="xorgcore-modal__contents"> '+ xorgcore_atc_modal_param.xorgcore_atc_modal_data+ ' </div> </div>');
        xorgcore_atc_position();
        var myViewModel = new Vue({
        	el: '#xorgcore_popup_main_div',
        	data: xorgcore_atc_modal_data,
        });

        $(".xorgcore_popup_button").prop("disabled", true);

        $("#xorgcore_popup_input").on("input", function(e) {
		    var xorgcore_get_email_address = $('#xorgcore_popup_input').val();
		    var is_button_disabled = $(".xorgcore_popup_button").is(":disabled");
		    if ( xorgcore_get_email_address.length > 0 && is_button_disabled == true ) {
				$(".xorgcore_popup_button").prop("disabled", false);		    	
		    } else if ( xorgcore_get_email_address.length == 0 && is_button_disabled == false ){
		    	$(".xorgcore_popup_button").prop("disabled", true );
		    }
		});
    }

	function close () {
        $(document.body).removeClass('xorgcore-atc-modal-open xorgcore-modal-loading');
        $('.xorgcore-modal, .xorgcore-modal-overlay').remove();
    }

	function xorgcore_atc_position() {

        $('.xorgcore-modal__body').removeProp('style');

        var modal_header_height = $('.xorgcore-modal__header').outerHeight();
        var modal_height = $('.xorgcore-modal').height();
        var modal_width = $('.xorgcore-modal').width();
        var modal_body_height = $('.xorgcore-modal__body').outerHeight();
        var modal_contents_height = modal_body_height + modal_header_height;

        $('.xorgcore-modal').css({
            'margin-left': -modal_width / 2,
            'margin-top': -modal_height / 2
        });

        if ( modal_height < modal_contents_height - 5 ) {
            $('.xorgcore-modal__body').height( modal_height - modal_header_height );
        }
    }

    
	xorgcore_single_simple_atc.prototype.xorgcore_add_to_cart_from_shop = function( e ) {
		
		e.preventDefault();
		var xorgcore_get_email_address = $('#xorgcore_popup_input').val();	
		
		
		var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);

		if ( ! pattern.test( xorgcore_get_email_address  ) ) {
			$('#xorgcore_placeholder_validated_msg').text(xorgcore_atc_modal_param.xorgcore_mandatory_email_text);
			$( "#xorgcore_placeholder_validated_msg" ).fadeIn();
            setTimeout( function(){$( "#xorgcore_placeholder_validated_msg" ).fadeOut();},3000);
		}else{

			xorgcore_get_client_email = $('#xorgcore_popup_input').val();
			localStorage.setItem("xorgcore_hidden_email_id", xorgcore_get_client_email);
			localStorage.setItem("xorgcore_atc_user_action", "yes" );
			xorgcore_add_product_to_cart_for_all();
		}
	};

	xorgcore_single_simple_atc.prototype.xorgcore_add_product_to_cart = function( e ) {
		if ( "off" == xorgcore_atc_modal_param.xorgcore_atc_mandatory_email ) {
			e.preventDefault();
			localStorage.setItem("xorgcore_atc_user_action", "no" );
			xorgcore_add_product_to_cart_for_all();	
		} else {
			e.preventDefault();
			var xorgcore_get_email_address = $('#xorgcore_popup_input').val();
			var xorgcore_validate_text = xorgcore_atc_modal_param.xorgcore_mandatory_text;
			if ( xorgcore_get_email_address ) {
				xorgcore_validate_text = xorgcore_atc_modal_param.xorgcore_mandatory_email_text;
			}
			$('#xorgcore_placeholder_validated_msg').text( xorgcore_validate_text );

			$( "#xorgcore_placeholder_validated_msg" ).fadeIn();
        	
			setTimeout( function(){
				$( "#xorgcore_placeholder_validated_msg" ).fadeOut();
				//close();
			},3000);
		}	
	}	
	
	function xorgcore_add_product_to_cart_for_all (){
		var xorgcore_is_popup_displayed = localStorage.getItem("xorgcore_popup_displayed");

		if ( ( typeof xorgcore_is_popup_displayed === undefined ) || ( xorgcore_is_popup_displayed != "yes" ) ){
			xorgcore_get_client_email = $('#xorgcore_popup_input').val();
			localStorage.setItem("xorgcore_hidden_email_id", xorgcore_get_client_email);
			var xorgcore_next_date = new Date();
			xorgcore_next_date.setHours( xorgcore_next_date.getHours() + 24);
			localStorage.setItem("xorgcore_popup_displayed_next_time", xorgcore_next_date.getTime() );
		}

		window.location =  xorgcore_variation_href ;
	}

	new xorgcore_single_simple_atc();
});
